Debian Bug report logs - #665296
autoscript in DH_Lib cannot cope with large sed one-liner

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Nicholas Bamber <nicholas@periapt.co.uk>

Date: Thu, 22 Mar 2012 22:15:01 UTC

Severity: important

Tags: patch

Fixed in version debhelper/9.20120909

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Thu, 22 Mar 2012 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 22 Mar 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xml-core: dh_installxmlcatalogs cannot cope with large catalogs
Date: Thu, 22 Mar 2012 22:11:50 +0000
Package: xml-core
Version: 0.13
Severity: grave
Justification: renders package unusable

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
I was trying to build w3c-sgml-lib 1.3.

It complains about the argument list being too long.

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xml-core depends on:
ii  sed        4.2.1-9
ii  sgml-base  1.26+nmu1

xml-core recommends no packages.

Versions of packages xml-core suggests:
ii  debhelper  9.20120115

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Thu, 22 Mar 2012 22:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 22 Mar 2012 22:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 665296@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 665296@bugs.debian.org
Subject: more information
Date: Thu, 22 Mar 2012 22:24:12 +0000
block by 665296 665298
affects 662091 +sp
thanks

These *should* be steps to reproduce.

1.) apt-get souce w3c-sgml-lib.

2.) In source directory: uscan and unpack the contents into the
directory etc

3.) ./debian/generatecatalog_stuff.pl

4.) dpkg-buildpackage -us -uc





Added indication that bug 665296 blocks 665298 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 22 Mar 2012 22:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Sat, 24 Mar 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 24 Mar 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #17 received at 665296@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 665296@bugs.debian.org
Subject: more info
Date: Sat, 24 Mar 2012 19:57:55 +0000
Okay this is a more exact way to reproduce the bug. (I'm just not
filling in the dependencies).

gbp-clone git://github.com/periapt/w3c-sgml-lib.git
cd w3c-sgml-lib/
pristine-tar checkout ../w3c-sgml-lib_1.3.orig.tar.gz
dpkg-buildpackage -us -uc





Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Fri, 15 Jun 2012 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tristan Hill <stan@saticed.me.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 15 Jun 2012 20:15:07 GMT) Full text and rfc822 format available.

Message #22 received at 665296@bugs.debian.org (full text, mbox):

From: Tristan Hill <stan@saticed.me.uk>
To: 665296@bugs.debian.org
Subject: xml-core: dh_installxmlcatalogs cannot cope with large catalogs
Date: Fri, 15 Jun 2012 21:04:49 +0100
How about writing the sed script to file?

* https://github.com/stan3/w3c-sgml-lib
* git://github.com/stan3/w3c-sgml-lib.git

Tristan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Tue, 03 Jul 2012 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Tue, 03 Jul 2012 19:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 665296@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Cc: 665296@bugs.debian.org
Subject: Please consider tagging wheezy-ignore #665296
Date: Tue, 03 Jul 2012 20:21:42 +0100
This is one I raised and people are asking me to upgrade the w3c stuff
which requires fixing it. It probably just requires a slight application
of xargs, but the XML world in Debian is pretty dead and quite a lot is
going on already and XML is not my top focus. So altogether I would
rather look at this once I am sure it is no going into wheezy. Please
advise.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Mon, 09 Jul 2012 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 09 Jul 2012 00:45:04 GMT) Full text and rfc822 format available.

Message #32 received at 665296@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: "debian-release@lists.debian.org" <debian-release@lists.debian.org>, 665296@bugs.debian.org, debhelper@packages.debian.org
Subject: Re: Please consider tagging wheezy-ignore #665296
Date: Mon, 9 Jul 2012 02:41:52 +0200
[Message part 1 (text/plain, inline)]
Nicholas Bamber <nicholas@periapt.co.uk> (03/07/2012):
> This is one I raised and people are asking me to upgrade the w3c stuff
> which requires fixing it. It probably just requires a slight
> application of xargs, but the XML world in Debian is pretty dead and
> quite a lot is going on already and XML is not my top focus. So
> altogether I would rather look at this once I am sure it is no going
> into wheezy. Please advise.

From a quick look at it, one could think of:
 - either improving debhelper's autoscript() so that it detects a sed
   line which would be too long and deal with it.
 - or switch {ADD,DEL}_{PACKAGE_ROOT} from scalars to lists, and
   iterate over the contents manually, without invoking autoscript().

(The latter is about dh_installxmlcatalogs, looks more fragile, and
is probably more work than improving debhelper once and for all.)

Cc-ing debhelper maintainer(s) accordingly.


IOW, replying to the original request: I'm pretty sure it's fixable
before the wheezy release, doesn't look like a bug that should be
wheezy-ignored.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#665296; Package xml-core. (Mon, 09 Jul 2012 20:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 09 Jul 2012 20:27:07 GMT) Full text and rfc822 format available.

Message #37 received at 665296@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: "debian-release@lists.debian.org" <debian-release@lists.debian.org>, 665296@bugs.debian.org, debhelper@packages.debian.org
Subject: Re: Please consider tagging wheezy-ignore #665296
Date: Mon, 09 Jul 2012 21:21:50 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reassign 665296 debhelper
thanks

On 09/07/12 01:41, Cyril Brulebois wrote:
> Nicholas Bamber <nicholas@periapt.co.uk> (03/07/2012):
>> This is one I raised and people are asking me to upgrade the w3c
>> stuff which requires fixing it. It probably just requires a
>> slight application of xargs, but the XML world in Debian is
>> pretty dead and quite a lot is going on already and XML is not my
>> top focus. So altogether I would rather look at this once I am
>> sure it is no going into wheezy. Please advise.
> 
> From a quick look at it, one could think of: - either improving
> debhelper's autoscript() so that it detects a sed line which would
> be too long and deal with it. - or switch {ADD,DEL}_{PACKAGE_ROOT}
> from scalars to lists, and iterate over the contents manually,
> without invoking autoscript().
> 
> (The latter is about dh_installxmlcatalogs, looks more fragile,
> and is probably more work than improving debhelper once and for
> all.)
> 
> Cc-ing debhelper maintainer(s) accordingly.
> 
> 
> IOW, replying to the original request: I'm pretty sure it's
> fixable before the wheezy release, doesn't look like a bug that
> should be wheezy-ignored.
> 
> Mraw, KiBi.

Cyril,
	Sorry I did not look in more detail at this earlier. Tristan Hill
<stan@saticed.me.uk> suggested another plausible solution - writing
the sed insructions to a temporary file and passing the file to sed
via the -f argument.

	Anyway it definitely looks to me like the bug should be fixed in
debhelper rather than xml-core. So I am reassigning it.

	Since this prevents upgrading at least one package I would stick by
the severity, but unless you're willing to let upgrades for
w3c-sgml-lib and w3c-markup-validator through I am  not aware of any
rush to fix it. That's why I thought  a wheezy-ignore tag was
appropriate.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJP+z1eAAoJELbE2bY7/+c8OqYQAMfklMjARPRS7+ZfmdFlorCm
N14b7zE85XMYCTx+8sN4foDxCYtt/0XffM2Ma+BOlRQH/4EaMo5ky8D+3huvy1EU
zrkyqM3xEi//MixpodYzpdUHI4+9ZV/+OpKpWhZtwSkhGb+iH0EKO6AVU36T+Mak
L7j35cVfDngAM3WVreE/PaGy2BBkx12dP/k5UhO+wdzwc5mETRN24giBNHy//6iP
M/TssuWqvYaoViGvcrVxHvLOd+jIDIN/YrLemwrPmEKv/nsZl96ateij+1ZseSdX
UqFT/g6IrPdoAlJs40Z9fso/z8FpUOtzdu4OYw72Y/niSCdWAVOG+C8l6/xJuqnG
AXUNJdVeZu/f40H9DA3brJ3XA2qvXrobTIKRPq9NCk0EEwQXAIFXxKgw0SVAgFOi
sJkFPf2NAAieADYrpxMZ7MLnYBvQpsJH9vYskAF+7eQEm3Rx0rY/O2BsGhRnb3ec
D+FQzvQc7akdg1uTlYUlDj93MbKLvahBOaUm3XAVdK6iW4cbp2p1v1HA1gT9CpHP
iTzvREp0kOA0fUocwgidA8/NoYzNHedKhk3XEz9RGI4Lp5UJgaph35W5BYGf+F4a
JAlTr7uIQBhHclqkOdA8DrwmrvCD9bcHqcrLt2N1mL4Bgva1pSJBcmif2lo5jbq8
sD8wT0LfmPzRbZtIpVCA
=qkYd
-----END PGP SIGNATURE-----




Bug reassigned from package 'xml-core' to 'debhelper'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:27:14 GMT) Full text and rfc822 format available.

No longer marked as found in versions xml-core/0.13. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:27:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'autoscript in DH_Lib cannot cope with large sed one-liner' from 'xml-core: dh_installxmlcatalogs cannot cope with large catalogs' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 09 Jul 2012 20:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#665296; Package debhelper. (Fri, 27 Jul 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Fri, 27 Jul 2012 14:27:03 GMT) Full text and rfc822 format available.

Message #48 received at 665296@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 665296@bugs.debian.org, Nicholas Bamber <nicholas@periapt.co.uk>
Subject: Re: autoscript in DH_Lib cannot cope with large sed one-liner
Date: Fri, 27 Jul 2012 16:25:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

I was wondering if this could be solved by allowing a "hashref" as
alternative to a sed expression.  The hashref would should map keys to
their replacements and autoscripts could then use that for making the
substitutions.
  It will not automatically fix affected tools, but it is my
understanding that only the tools in xml-core are affected.

I have attached a prototype patch that demonstrates the idea behind the
idea, though there was no test suite for autoscripts so the patch is
untested (hench the no "patch" tag).

~Niels

[debhelper-autoscript.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#665296; Package debhelper. (Sat, 08 Sep 2012 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sat, 08 Sep 2012 17:21:03 GMT) Full text and rfc822 format available.

Message #53 received at 665296@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 665296@bugs.debian.org
Cc: Tristan Hill <stan@saticed.me.uk>, Nicholas Bamber <nicholas@periapt.co.uk>, Cyril Brulebois <kibi@debian.org>, Niels Thykier <niels@thykier.net>
Subject: Putting the sed snippet into a filename
Date: Sat, 8 Sep 2012 18:19:48 +0100
I'm looking into this as part of BSP in Dublin.


The problem with Niels's fix is that it requires code changes to the program
invoking autoscript, dh_installxmlcatalogs in this case.

I tried Tristan's idea - patch below - and although it works, MY PATCH
INTRODUCES A SUBTLE INCOMPATIBILITY. Here's why:

The fourth parameter to autoscript() is NOT actually a sed one-liner, as
autoscript() documentation claims. It is a string, that is first interpreted by
the shell, and then passed - by the shell - as an argument to "sed". This means
that autoscript() callers need to properly quote some characters, e.g. write:
 \"
rather than
 "
.

When those escaped strings are put into a sed script file (instead via shell)
the sed code is overquoted. While sed "helpfully" just seems to ignore
superfluous backslashes, so I think this would just work for simple use cases,
I'm afraid it might break other valid but more complicated use-cases. So it
does not seem like a good thing to do during the freeze, without a DH_COMPAT
change. And this also means code changes to dh_installxmlcatalogs

Does anyone know a way to strip the quoting in a way compable with the shell,
however without invoking the shell (because in this case it would just barf on
"argument too long")?


So there are a few problems:
 - debhelper misdocumenting the 4th argument to autoscript.

 If it properly mentioned the length of the string is limited due to being
 passed through a shell command-line, then callers might have reconsidered
 before using this functionality to substitute strings of unknown length.
 Ideally the next compatibility version should pass the snippet via a temporary
 file, similar to the patch below.

 - dh_installxmlcatalogs passing an overly long string to autoscript().
 
 I think whatever fix is implemented (unless someone knows an answer to my
 question above), it will mean a change to dh_installxmlcatalogs. So perhaps
 this bug should be cloned against xml-core and it should implement its own
 version of autoscript that is safe for long strings (perhaps just copy
 autoscript from Dh_Lib and apply the patch below, and remove the extra quoting
 done in dh_installxmlcatalogs).


--- /usr/share/perl5/Debian/Debhelper/Dh_Lib.pm	2012-08-30 15:16:25.000000000 +0000
+++ Debian/Debhelper/Dh_Lib.pm	2012-09-08 16:42:26.536199119 +0000
@@ -540,7 +540,12 @@
 	}
 	else {
 		complex_doit("echo \"# Automatically added by ".basename($0)."\">> $outfile");
-		complex_doit("sed \"$sed\" $infile >> $outfile");
+		use File::Temp qw/tempfile/;
+		my ($fh, $filename) = tempfile();
+		print $fh "$sed";
+		close $fh or die "$filename: $!;
+		warn "filename is $filename";  # for debugging
+		complex_doit("sed -f $filename $infile >> $outfile");
 		complex_doit("echo '# End automatically added section' >> $outfile");
 	}
 }


-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#665296; Package debhelper. (Sat, 08 Sep 2012 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 08 Sep 2012 20:00:03 GMT) Full text and rfc822 format available.

Message #58 received at 665296@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Marcin Owsiany <porridge@debian.org>, 665296@bugs.debian.org
Subject: Re: Bug#665296: Putting the sed snippet into a filename
Date: Sat, 8 Sep 2012 15:56:46 -0400
[Message part 1 (text/plain, inline)]
Marcin Owsiany wrote:
>  - dh_installxmlcatalogs passing an overly long string to autoscript().
>  
>  I think whatever fix is implemented (unless someone knows an answer to my
>  question above), it will mean a change to dh_installxmlcatalogs. So perhaps
>  this bug should be cloned against xml-core and it should implement its own
>  version of autoscript that is safe for long strings (perhaps just copy
>  autoscript from Dh_Lib and apply the patch below, and remove the extra quoting
>  done in dh_installxmlcatalogs).

Suggestion:

autoscript($package, $script, $filename, sub { s/// });

The 4th parameter being a sub can be detected, and the snippet passed
through it, bypassing sed entirely. Things can migrate over to this new
interface as needed, without possibly breaking the old interface.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#665296; Package debhelper. (Sun, 09 Sep 2012 11:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 09 Sep 2012 11:21:04 GMT) Full text and rfc822 format available.

Message #63 received at 665296@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 665296@bugs.debian.org
Subject: Re: Bug#665296: Putting the sed snippet into a filename
Date: Sun, 9 Sep 2012 12:18:48 +0100
[Message part 1 (text/plain, inline)]
On Sat, Sep 08, 2012 at 03:56:46PM -0400, Joey Hess wrote:
> Marcin Owsiany wrote:
> >  - dh_installxmlcatalogs passing an overly long string to autoscript().
> >  
> >  I think whatever fix is implemented (unless someone knows an answer to my
> >  question above), it will mean a change to dh_installxmlcatalogs. So perhaps
> >  this bug should be cloned against xml-core and it should implement its own
> >  version of autoscript that is safe for long strings (perhaps just copy
> >  autoscript from Dh_Lib and apply the patch below, and remove the extra quoting
> >  done in dh_installxmlcatalogs).
> 
> Suggestion:
> 
> autoscript($package, $script, $filename, sub { s/// });
> 
> The 4th parameter being a sub can be detected, and the snippet passed
> through it, bypassing sed entirely. Things can migrate over to this new
> interface as needed, without possibly breaking the old interface.

Can you review and include the attachd patch in the squeeze debhelper?

-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC
[0001-Make-it-possible-to-pass-perl-code-to-autoscript.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Sun, 09 Sep 2012 11:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#665296; Package debhelper. (Sun, 09 Sep 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 09 Sep 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #70 received at 665296@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Marcin Owsiany <porridge@debian.org>
Cc: 665296@bugs.debian.org
Subject: Re: Bug#665296: Putting the sed snippet into a filename
Date: Sun, 9 Sep 2012 13:34:36 -0400
[Message part 1 (text/plain, inline)]
Marcin Owsiany wrote:
> +# 4: either text: shell-quoted sed to run on the snippet. Ie, 's/#PACKAGE#/$PACKAGE/'
> +#    or a sub to run on each line of the snippet. Ie sub { s/#PACKAGE#/$PACKAGE/ }

I had not thought about making it operate on each line rather than the
whole file, but I think I like it.

> +	} else {

I use the other brace style in debhelper.

> +use base 'Test::Class';

This would add a build dep on libtest-class-perl, it might be easier to
get this into the freeze if any added tests just used Test::More.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#665296; Package debhelper. (Sun, 09 Sep 2012 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 09 Sep 2012 17:54:03 GMT) Full text and rfc822 format available.

Message #75 received at 665296@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 665296@bugs.debian.org
Subject: Re: Bug#665296: Putting the sed snippet into a filename
Date: Sun, 9 Sep 2012 18:51:39 +0100
[Message part 1 (text/plain, inline)]
On Sun, Sep 09, 2012 at 01:34:36PM -0400, Joey Hess wrote:
> Marcin Owsiany wrote:
> > +# 4: either text: shell-quoted sed to run on the snippet. Ie, 's/#PACKAGE#/$PACKAGE/'
> > +#    or a sub to run on each line of the snippet. Ie sub { s/#PACKAGE#/$PACKAGE/ }
> 
> I had not thought about making it operate on each line rather than the
> whole file, but I think I like it.
> 
> > +	} else {
> 
> I use the other brace style in debhelper.
> 
> > +use base 'Test::Class';
> 
> This would add a build dep on libtest-class-perl, it might be easier to
> get this into the freeze if any added tests just used Test::More.

Thanks for the fast review, please see the revised patch attached.

-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC
[0001-Make-it-possible-to-pass-perl-code-to-autoscript.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#665296; Package debhelper. (Sun, 09 Sep 2012 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sun, 09 Sep 2012 18:30:03 GMT) Full text and rfc822 format available.

Message #80 received at 665296@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Marcin Owsiany <porridge@debian.org>
Cc: 665296@bugs.debian.org
Subject: Re: Bug#665296: Putting the sed snippet into a filename
Date: Sun, 9 Sep 2012 14:26:35 -0400
[Message part 1 (text/plain, inline)]
Marcin Owsiany wrote:
> Thanks for the fast review, please see the revised patch attached.

Applied. I will upload it once the current debhelper gets into testing.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug 665296 cloned as bug 687109 Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Sun, 09 Sep 2012 18:57:19 GMT) Full text and rfc822 format available.

Removed indication that bug 665296 blocks 665298 Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Sun, 09 Sep 2012 21:00:07 GMT) Full text and rfc822 format available.

Added indication that bug 665296 blocks 687109 Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 07:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 07:03:03 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Mon, 10 Sep 2012 17:21:03 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug acknowledged by developer. (Mon, 10 Sep 2012 17:21:03 GMT) Full text and rfc822 format available.

Message #93 received at 665296-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 665296-close@bugs.debian.org
Subject: Bug#665296: fixed in debhelper 9.20120909
Date: Mon, 10 Sep 2012 17:17:41 +0000
Source: debhelper
Source-Version: 9.20120909

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665296@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 10 Sep 2012 12:54:06 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 9.20120909
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 665296 685538 685560 686291
Changes: 
 debhelper (9.20120909) unstable; urgency=low
 .
   * autoscript() can now be passed a perl sub to run to s/// lines of
     the script, which avoids problems with using sed, including potentially
     building too long a sed command-line. This will become the recommended
     interface in the future; for now it can be used by specific commands
     such as dh_installxmlcatalogs that encounter the problem.
     Closes: #665296 Thanks, Marcin Owsiany
   * Updated Spanish man page translation. Closes: #686291
   * Updated German man page translation. Closes: #685538
   * Updated French man page translation. Closes: #685560
Checksums-Sha1: 
 418ce2972abd76ff367b3c660af72d638c9c441a 1577 debhelper_9.20120909.dsc
 cd80e04d96caf0b1fb594071c6214b476122be6f 464785 debhelper_9.20120909.tar.gz
 dfd4ee106d3bd4103349adf0ce0f7db128f0b009 705324 debhelper_9.20120909_all.deb
Checksums-Sha256: 
 9ddc6c538390b350918451b59a26d1e7f6c9bf191f55adb1e6a2a0cb8eb2f5dc 1577 debhelper_9.20120909.dsc
 fabcdb9c41975ea0a1ccc66d6e065e424ed7a2119f6f1a6f7bfb7d06701370af 464785 debhelper_9.20120909.tar.gz
 caf69742ed55af9114ac971f833bf9acbc9bdbb6aa21bd9a4f13be230f589a32 705324 debhelper_9.20120909_all.deb
Files: 
 253666e4c8df041aa84ce59a92fe755e 1577 devel optional debhelper_9.20120909.dsc
 42bbf0ef9d1fc38b3548b2ab58556e37 464785 devel optional debhelper_9.20120909.tar.gz
 fc83d4099126ee457cf9b4a6e5e98aab 705324 devel optional debhelper_9.20120909_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUE4cYMkQ2SIlEuPHAQjaNg//WeawON+bxJsF7pbwVo5rhmp7/hUC2rr5
Fus1UTGnVtwUZrHvg8478chRqMCUYFEJ0oMzB1DW1Ym5hVxo+hKMafb+e2MppZEm
2f7yChJx7o/IF8o+meA86+ros9t6AD/Sugj0YupliuUPmzZF9y6xZy+EiAWvW3Ml
NEri7l8CU+8pLgG/6eUVT4NydWU3dCiEAv0dCiud2SeTp8whSVTR+vxUv5PoK4sW
5H6fAiOoTA6tnB+PPtNRPN5i3RDJuNXYA0b83ueBJsZBMtWnubXNL83t7EUdivij
hE4guFjq5i27EcocpVrco59KESQ/Ax2DceqUiaL5z8E4vU1iH8GGK7fZWjbdqEik
9xDs47RSUsi6XD/UoNQ3B73niuKirYsOIJsNM6UbqZHGRqgnd8OSyw/s43Gdygo2
SHYUXqUy4Fy11JKbRHXYliMreywjLYCYLgiCqx6yHjUGNosx9MdQhWplxs+GbUKE
XUvAdaFY2vdY3QMIyN5cH7KzBvjKzybKLw30KAO/3xUUOJ3z2jESq0DtXdPn9QxA
qchr5okKB6YYBU/bqrCQPCpYTYGNlNpHZDtI2cKw7P5gRtF+ZZxGRXnLlfOVMhI/
XoMvmjUsFkewhW2WodjcfkGC07c8zOG1DV2ac9f/uYHwbOuNNqsPQjW7mXcKEYb3
3YdWlBr1MM4=
=vw4T
-----END PGP SIGNATURE-----




Severity set to 'important' from 'grave' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 23 Sep 2012 20:36:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:33:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:38:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.